Subject: Re: bug#16051: 24.3.50; Emacs hang - resize frame manually

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Dec 2013 19:56:19 +0200

> Date: Wed, 4 Dec 2013 06:40:15 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> emacs -Q
> 
> Grab the right edge of the frame with your mouse and move it left.
> 
> Move it far enough and the frame turns white and Emacs hangs.  You will
> need to kill it using the task manager.

Don't you get an abort dialog?  I do, and the backtrace is below:

  dispnew.c:1369: Emacs fatal error: assertion failed: row >= 0 && row < matrix->nrows

  Breakpoint 1, terminate_due_to_signal (sig=22, backtrace_limit=2147483647)
      at emacs.c:350
  350       signal (sig, SIG_DFL);
  (gdb) bt
  #0  terminate_due_to_signal (sig=22, backtrace_limit=2147483647)
      at emacs.c:350
  #1  0x01168801 in die (
      msg=0x148f378 <DEFAULT_REHASH_SIZE+704> "row >= 0 && row < matrix->nrows", file=0x148f124 <DEFAULT_REHASH_SIZE+108> "dispnew.c", line=1369)
      at alloc.c:6726
  #2  0x01004ad5 in matrix_row (matrix=0x36ce000, row=7) at dispnew.c:1369
  #3  0x010415de in hscroll_window_tree (window=59745149) at xdisp.c:12607
  #4  0x01041c34 in hscroll_windows (window=59726325) at xdisp.c:12733
  #5  0x0104409b in redisplay_internal () at xdisp.c:13627
  #6  0x01044918 in redisplay_preserve_echo_area (from_where=8) at xdisp.c:13852
  #7  0x011073fb in detect_input_pending_run_timers (do_display=true)
      at keyboard.c:9882
  #8  0x011d5c9e in wait_reading_process_output (time_limit=0, nsecs=0,
      read_kbd=-1, do_display=true, wait_for_cell=56436762, wait_proc=0x0,
      just_wait_proc=0) at process.c:4680
  #9  0x010fb5eb in kbd_buffer_get_event (kbp=0x82f94c,
      used_mouse_menu=0x82fc9b, end_time=0x0) at keyboard.c:3897
  #10 0x010f7985 in read_event_from_main_queue (end_time=0x0,
      local_getcjmp=0x82fb40, used_mouse_menu=0x82fc9b) at keyboard.c:2242
  #11 0x010f7bbc in read_decoded_event_from_main_queue (end_time=0x0,
      local_getcjmp=0x82fb40, prev_event=56436762, used_mouse_menu=0x82fc9b)
      at keyboard.c:2306
  #12 0x010f8f62 in read_char (commandflag=1, map=60377926,
      prev_event=56436762, used_mouse_menu=0x82fc9b, end_time=0x0)
      at keyboard.c:2891
  #13 0x01105902 in read_key_sequence (keybuf=0x82fd80, bufsize=30,
      prompt=56436762, dont_downcase_last=false, can_return_switch_frame=true,
      fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9074
  #14 0x010f5ee3 in command_loop_1 () at keyboard.c:1445
  #15 0x01184d4b in internal_condition_case (bfun=0x10f5b7c <command_loop_1>,
      handlers=56487250, hfun=0x10f53e5 <cmd_error>) at eval.c:1344
  #16 0x010f584b in command_loop_2 (ignore=56436762) at keyboard.c:1170
  #17 0x01184336 in internal_catch (tag=56477154,
      func=0x10f5828 <command_loop_2>, arg=56436762) at eval.c:1108
  #18 0x010f5803 in command_loop () at keyboard.c:1149
  #19 0x010f4f9f in recursive_edit_1 () at keyboard.c:777
  #20 0x010f514f in Frecursive_edit () at keyboard.c:841
  #21 0x010f32f3 in main (argc=2, argv=0xa42878) at emacs.c:1598